%define		pkgname	X11-xft
Summary:	A Haskell binding to the X11-xft graphics library
Name:		ghc-%{pkgname}
Version:	0.3.1
Release:	2
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	ad885150a59f63de328e73abe5ffc79e
URL:		http://hackage.haskell.org/package/X11-xft/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-utf8-string >= 0.1
BuildRequires:	ghc-X11 >= 1.2.1
BuildRequires:	rpmbuild(macros) >= 1.608
BuildRequires:	xorg-lib-libXft-devel
%requires_eq	ghc
Requires:	ghc-utf8-string >= 0.1
Requires:	ghc-X11 >= 1.2.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
A Haskell binding to the X11-xft graphics library.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.lhs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs build
runhaskell Setup.lhs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Thu Aug 06 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-X11-xft.git;a=log;h=master

* Thu Aug 06 2015 Jan Rękorajski <baggins@pld-linux.org> 86a2acb
- release 2 (by relup.sh)

* Fri Jul 26 2013 Jan Palus <jan.palus@gmail.com> a5b4ab7
- rel 1

* Sat Mar 16 2013 Jan Palus <jan.palus@gmail.com> 1b034c2
- new

